
function check-if-program-exists {
    if ! which "$1" > /dev/null; then
        echo "Could not find the program $1. $1 must be in your path";
        exit
    fi
}

function download-demodata {
    if [ ! -e ../demodata ]; then
        echo "This example requires two demo files (13.5 MB it total)."
        echo "It will download the demo data from the VHIST homepage"
        echo "      http://www.nf.mpg.de/vhist"
        echo "Press enter to continue or CTRL+C to abort"
        if read; then # check user input
            demodir=../demodata
            www=http://www.nf.mpg.de/vhist/demodata
            mkdir -p "$demodir"
            echo "curl $www/pat_mmm_fmz.nii.gz > $demodir/pat_mmm_fmz.nii.gz"
            curl "$www/pat_mmm_fmz.nii.gz" > "$demodir/pat_mmm_fmz.nii.gz"
            echo ""
            echo "curl $www/pat_mmm_mri.nii.gz > $demodir/pat_mmm_mri.nii.gz"
            curl "$www/pat_mmm_mri.nii.gz" > "$demodir/pat_mmm_mri.nii.gz"
        else
            exit
        fi
    fi
}

