#!/bin/bash

# This example shows how to document Matlab scripts with vhistify. The program
# executes a Matlab script. This example also shows how to add preview images
# to your VHIST files. Change the value of MATLAB_EXECUTABLE to adjust
# the script to another version of Matlab.
#
# THE FIRST LINES OF THIS FILE TEST THAT ALL PROGRAMS AND FILES NEEDED BY
# THIS EXAMPLE ARE AVAILABLE. THESE LINES ARE NOT PART OF THE EXAMPLE.
# YOU CAN JUST IGNORE THEM. THE EXAMPLE BEGINS BELOW THIS SECTION.

set -e # enable error checking
source ../common/tools.bash

# !!!!! change this variable to adjust the version of Matlab you want to use
MATLAB_EXECUTABLE=matlab_2011b

# check if everything is set up correctly
check-if-program-exists vhistify
check-if-program-exists "$MATLAB_EXECUTABLE"

# ------------ EXAMPLE BEGINS HERE ----------------

export VHISTIFY_RENAME_OLD_VHISTFILES=true

# By default, Matlab reads code from stdin. We can prevent this by adding
# the --no-stdin option to vhistify
vhistify --title="Matlab Example" --plugins="nf,matlab,previews" --no-stdin -- "$MATLAB_EXECUTABLE" -nodesktop -nosplash -r "test"

# ------------- EXAMPLE ENDS HERE ------------------

