% first force shutdown the matlab pool
try
    matlabpool close force local;
end

% open a new one
fprintf('!!! Opening the Matlab pool. This operation can\n')
fprintf('!!! take up to several minutes when running vhistify.\n')

matlabpool
% make sure that matlab will close the pool at the end
cleaner = onCleanup(@() matlabpool('close', 'force', 'local'));

files = {'test1.txt', 'test2.txt', 'test3.txt', 'test4.txt'};
contents = {};

% read some files in parallel
parfor i=1:numel(files)
    filename = files{i};
    fid = fopen(filename, 'rb');
    pause(randi(100) / 100);
    
    % busy loop
    x = 0;
    for j=1:1000000
        x = x+j;
    end
    
    content = char(fread(fid))';
    contents = [contents {content}];
    fclose(fid);
end


fid = fopen('output.txt', 'wb');
for i=1:numel(contents)
    disp(contents{i})
    fprintf(fid, '%s\n', contents{i});
end

fclose(fid);

