#!/bin/bash

# This example shows how to document Matlab scripts that use the parallel
# computing toolbox with vhistify. The program executes a Matlab script.
# Change the value of MATLAB_EXECUTABLE to adjust the script to another
# version of Matlab. We found that starting the Matlab pool can take a lot of
# time. Once the Matlab pool is started, Matlab will perform normally.
# 
# THE FIRST LINES OF THIS FILE TEST THAT ALL PROGRAMS AND FILES NEEDED BY
# THIS EXAMPLE ARE AVAILABLE. THESE LINES ARE NOT PART OF THE EXAMPLE.
# YOU CAN JUST IGNORE THEM. THE EXAMPLE BEGINS BELOW THIS SECTION.

set -e # enable error checking
source ../common/tools.bash

# !!!!! change this variable to adjust the version of Matlab you want to use
MATLAB_EXECUTABLE=matlab_2011b

# check if everything is set up correctly
check-if-program-exists vhistify
check-if-program-exists "$MATLAB_EXECUTABLE"

# ------------ EXAMPLE BEGINS HERE ----------------

export VHISTIFY_RENAME_OLD_VHISTFILES=true

vhistify --title="Matlab parfor Example" --plugins="nf,matlab" --no-stdin -- "$MATLAB_EXECUTABLE" -nodesktop -nosplash -r "parforTest"

# ------------- EXAMPLE ENDS HERE ------------------

