#!/bin/bash

# This example shows how to document shell scripts with vhisitify. The
# example executes several commandline tools and bash scripts and documents
# the whole workflow with VHIST.
# 
# THE FIRST LINES OF THIS FILE TEST THAT ALL PROGRAMS AND FILES NEEDED BY
# THIS EXAMPLE ARE AVAILABLE. THESE LINES ARE NOT PART OF THE EXAMPLE.
# YOU CAN JUST IGNORE THEM. THE EXAMPLE BEGINS BELOW THIS SECTION.

set -e # enable error checking
source ../common/tools.bash

# check if everything is set up correctly
check-if-program-exists vhistify
check-if-program-exists bash
check-if-program-exists cp
check-if-program-exists tar

# ------------ EXAMPLE BEGINS HERE ----------------

export VHISTIFY_RENAME_OLD_VHISTFILES=true

vhistify --title="Create File" -- bash create.sh "hello world" foo.txt
vhistify --title="Create File" -- bash create.sh "goodbye world" bar.txt
vhistify --title="copy a" -- cp foo.txt baz.txt
vhistify --title="copy b" -- cp bar.txt bob.txt
vhistify --title="concat" -- bash concat.sh baz.txt bob.txt bazbob.txt
vhistify --title="zip data" -- tar -czvf data.tar.gz bazbob.txt

# ------------- EXAMPLE ENDS HERE ------------------

