% taken and adopted from
% http://www-personal.umich.edu/~nichols/JohnsGems.html

% add spm to the matlab path
spmPath = getenv('SPM_PATH');
if isempty(spmPath)
    error('please set the environment variable $SPM_PATH');
elseif ~exist(spmPath, 'dir')
    error('the content of $SPM_PATH (%s) is not a directory', spmPath);
else
    addpath(spmPath);
end

% load an image and create a histogram
V = spm_vol('../demodata/pat_mmm_fmz.nii');
[n, x] = histvol(V, 100);
f = figure;
bar(x, n);

% if histogram.png already exists, 'saveas' will read it for some reason
% this will confuse vhistify (histogram.png read and written???)
if exist('histogram.png', 'file')
    delete('histogram.png')
end
saveas(f, 'histogram.png', 'png');
