#!/bin/bash

# This example shows how to add structured key-value data to the VHIST files
# created by vhistify. Your script or program can write lines of the form
# VHISTFY: key=value
# to the stdout and vhistify will parse and process these
# lines.
# 
# THE FIRST LINES OF THIS FILE TEST THAT ALL PROGRAMS AND FILES NEEDED BY
# THIS EXAMPLE ARE AVAILABLE. THESE LINES ARE NOT PART OF THE EXAMPLE.
# YOU CAN JUST IGNORE THEM. THE EXAMPLE BEGINS BELOW THIS SECTION.

set -e # enable errors
source ../common/tools.bash

# check if everything is set up correctly
check-if-program-exists vhistify
check-if-program-exists python

# ------------ EXAMPLE BEGINS HERE ----------------

export VHISTIFY_RENAME_OLD_VHISTFILES=true

vhistify --title="Python Example" --plugins="nf,python,stdoutattrs" python test.py

# ------------- EXAMPLE ENDS HERE ------------------

