
import sys

def getPythonVersionInfo():
    modInfos = []
    for modname, mod in sys.modules.items():
        modInfo = dict(name=modname)
        try:
            if hasattr(mod, "__file__"):
                modInfo["filename"] = mod.__file__
        except:
            pass

        try:
            if hasattr(mod, "version"):
                if callable(mod.version):
                    modInfo["version()"] = mod.version()
                else:
                    modInfo["version"] = mod.version
        except:
            pass

        try:
            if hasattr(mod, "__version__"):
                modInfo["__version__"] = mod.__version__
        except:
            pass
        
        modInfos.append(modInfo)
    
    return modInfos

