
# just a base class. Not a real plugin
VHISTIFY_NOT_A_PLUGIN = True


def _shortenPluginName(pluginName):
    # "plugins.unix" => ["plugins", "unix"]
    parts = pluginName.rsplit(".", 1)
    return parts[-1]


class BasePlugin(object):
    def __init__(self):
        pass
    
    def _setup(self, infoObj, tmpdir, vhistfileModule, userattrsModule):
        self.infoObj = infoObj
        self.tmpdir = tmpdir
        self.vhistfileModule = vhistfileModule
        self.userattrsModule = userattrsModule
    
    @classmethod
    def getName(cls):
        return _shortenPluginName(cls.__module__)
    
    @classmethod
    def getDocumentation(cls):
        return "The plugin %s has no documentation" % cls.getName()
    
    @classmethod
    def getSupportedEnvironmentVariables(cls):
        return []
    
    def initEnvironment(self):
        pass
    
    def filterFiles(self, files):
        return files
    
    def amendFiles(self, files):
        return []
    
    def convertFiles(self, files):
        return files
    
    def updateSection(self, section):
        return section

