
import baseplugin

class NfPlugin(baseplugin.BasePlugin):
    """
    A Max-Planck-Institute for Neurological Research plugin. Filters
    out the directories /daten/share/opt and /daten/bin.
    """
    NF_DIR_FILTERS = ["/daten/share/opt/", "/daten/bin"]
    def filterFiles(self, files):
        for filt in self.NF_DIR_FILTERS:
            files = [f for f in files if not f.filename.startswith(filt)]
        
        return files
    
    @classmethod
    def getDocumentation(cls):
        return DOCUMENTATION


DOCUMENTATION = """
The "nf" plugin removes files from the generated VHIST files, which are
known to be a part of static software installations at the
Max-Planck-Institute for Neurological Research. These include files
in the directories /daten/share/opt/ and /daten/bin/.
"""

