
import baseplugin

class PreviewPlugin(baseplugin.BasePlugin):
    """
    Marks png and jpeg images as previews.
    """
    
    def convertFiles(self, files):
        extensions = [".png", ".jpg", ".jpeg", ".jpe", ".jif", ".jfif", ".jfi"]
        for extension in extensions:
            for f in files:
                if f.filename.lower().endswith(extension):
                    f.isPreviewWs = True
                    f.embed = True
        
        return files

DOCUMENTATION = """
The "previews" plugin detects all images with the extension .png or .jpg
(or related JPEG extensions) and includes these as previews in the generated
VHIST file(s). You can use this feature to create preview graphics or plots
from your own scripts and programs.
"""
