
import os
import baseplugin

class UnixPlugin(baseplugin.BasePlugin):
    """
    Default plugin on unix systems. Filters out files from
    miscellaneous system paths.
    """
    UNIX_DIR_FILTERS = ["/usr/", "/lib/", "/lib64/", "/proc/", "/etc/", "/tmp/",
            "/var/", "/sys/", os.path.expanduser('~/.')]
    
    def filterFiles(self, files):
        for filt in self.UNIX_DIR_FILTERS:
            files = [f for f in files if not f.filename.startswith(filt)]
        
        return files
    
    @classmethod
    def getDocumentation(cls):
        return DOCUMENTATION


DOCUMENTATION = """
The "unix" plugin filters out files that are located in typical unix system
paths.
"""

